RpfSubframe (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.rpf
Class RpfSubframe

    java.lang.Object
      com.bbn.openmap.layer.rpf.RpfSubframe

    public class RpfSubframe

extends java.lang.Object

The RpfSubframe is a holder for images and attributes within the cache.

Nested Class Summary
`class` | `RpfSubframe.BitsAndColors` Indexed colormodel implementation.
`class` | `RpfSubframe.ImageCreator`
`class` | `RpfSubframe.Pixels` Direct colormodel implementation.

Field Summary
`protected DataBounds` | `bounds`
`protected java.lang.String` | `data` The actual attribute information.
`protected RpfSubframe.ImageCreator` | `imageCreator` The object that creates the image from either pixels or bytes and colors.
`int` | `nextSubframe` The pointers to the surrounding subframes in the cache.
`protected int` | `opaqueness` The opaqueness of the image.
`static int` | `PIXEL_EDGE_SIZE` The original pixel size of RPF Subframes.
`int` | `prevSubframe` The pointers to the surrounding subframes in the cache.
`byte` | `version` The version of the subframe, used by the cache for marking how recently used the subframe was.

Constructor Summary
`RpfSubframe()`

Method Summary
`java.lang.String` | `getAttributeText()` getAttributeText retrieves the text that would be displayed as attribute information about the subframe.
`OMGraphic` | `getImage(Projection proj)`
`void` | `setAttributeText(java.lang.String text)` setScalingTo has to be called after this for the changes to take place, or else you need to call the information.setData() methods directly.
`void` | `setBitsAndColors(byte[] bits, java.awt.Color[] colors)`
`void` | `setLocation(double ulat, double wlon, double llat, double elon)` Set the lat/lon of the frame and attribute text.
`void` | `setPixels(int[] pixels)`
`void` | `setTransparent(int opaqueness)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public byte version

  The version of the subframe, used by the cache for marking how recently used the subframe was.

### nextSubframe

    public int nextSubframe

  The pointers to the surrounding subframes in the cache.

### prevSubframe

    public int prevSubframe

  The pointers to the surrounding subframes in the cache.

### PIXEL_EDGE_SIZE

    public static final int PIXEL_EDGE_SIZE

  The original pixel size of RPF Subframes.

  See Also:
    Constant Field Values

### data

    protected java.lang.String data

  The actual attribute information.

### opaqueness

    protected int opaqueness

  The opaqueness of the image.

### bounds

    protected DataBounds bounds

### imageCreator

    protected RpfSubframe.ImageCreator imageCreator

  The object that creates the image from either pixels or bytes and colors. Also handles selecting warping or scaling images based on the projection type.

Constructor Detail

### RpfSubframe

    public RpfSubframe()

Method Detail

### setLocation

    public void setLocation(double ulat,
                            double wlon,
                            double llat,
                            double elon)

  Set the lat/lon of the frame and attribute text.

  Parameters:
    `ulat` - latitude of upper left point, in decimal degrees.
    `wlon` - longitude of upper left point, in decimal degrees.
    `llat` - latitude of lower right point, in decimal degrees.
    `elon` - longitude of lower right point, in decimal degrees.

### setAttributeText

    public void setAttributeText(java.lang.String text)

  setScalingTo has to be called after this for the changes to take place, or else you need to call the information.setData() methods directly.

### getAttributeText

    public java.lang.String getAttributeText()

  getAttributeText retrieves the text that would be displayed as attribute information about the subframe.

### setPixels

    public void setPixels(int[] pixels)

### setBitsAndColors

    public void setBitsAndColors(byte[] bits,
                                 java.awt.Color[] colors)

### setTransparent

    public void setTransparent(int opaqueness)

### getImage

    public OMGraphic getImage(Projection proj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details